{% extends 'bases/home.html' %}

{% load static %}

{% block content %}
<!-- Content Header (Page header) -->
<div class="content-header">
    <section class="content">
        <div class="container-fluid">
            <div class="row">
                <div class="col-12">
                    <div class="row">
                        <div class="col-3">
                            <div class="card d-flex justify-content-center">
                                <div class="card-body">
                                    
                                    {% if obj.imagen %}
                                        <img class="card-img-top p-3" style="height: 380px;" src="{{ obj.imagen.url }}" alt="img de modem">                                        
                                    {% else %}
                                        <img class="card-img-top p-3" style="height: 380px;" src="{% static 'dist/img/modem.svg' %}"
                                        style="height: 290px; width: 300px;" alt="img del modem">
                                    {% endif %}                                        
                                </div>
                            </div>
                        </div>

                        <div class="col-8">
                            <form method="post" role="form" enctype="multipart/form-data">
                                {% csrf_token %}

                                <!-- Input addon -->
                                <!-- card -->
                                <div class="card">

                                    {% if obj %}
                                    <div class="card-warning">
                                        {% else %}
                                        <div class="card-success">
                                            {% endif %}

                                            <div class="card-header">
                                                <h3 class="card-title text-uppercase">Modems</h3>
                                            </div>

                                            <!-- card-body -->
                                            <div class="card-body">

                                                <!-- fila 1 -->
                                                <div class="row mt-2">
                                                    <div class="col-6">
                                                        <div class="form-group">
                                                            <label for="id_cliente"
                                                                class="text-sm text-uppercase text-black-50"
                                                                style="font-family: Arial, Helvetica, sans-serif;">CLIENTE:
                                                                <i class="fa fa-asterisk badge-warning"></i></label>
                                                            {{ form.cliente }}
                                                        </div>
                                                    </div>

                                                    <div class="col-6">
                                                        <div class="form-group">
                                                            <label for="id_marca"
                                                                class="text-sm text-uppercase text-black-50"
                                                                style="font-family: Arial, Helvetica, sans-serif;">{{ form.marca.label }}:
                                                                <i class="fa fa-asterisk badge-warning"></i></label>
                                                                <!-- {{ form.marca }} -->
                                                                <input type="text" class="form-control" autocomplete="off" name="marca" id="id_marca" value="{{ obj.marca }}">
                                                        </div>
                                                    </div>                                                    
                                                    
                                                </div>

                                                <!-- fila 2 -->
                                                <div class="row mt-2">                                                    
                                                    <div class="col-6">
                                                        <div class="form-group">
                                                            <label for="id_clave_wifi"
                                                                class="text-sm text-uppercase font-weight-lighter"
                                                                style="font-family: Arial, Helvetica, sans-serif;"><i class="fa fa-network-wired"></i>
                                                                CLAVE WIFI:</label>
                                                                {{ form.clave_wifi }}
                                                        </div>
                                                    </div>

                                                    <div class="col-6">
                                                        <div class="form-group">
                                                            <label for="id_gateway"
                                                                class="text-sm text-uppercase text-black-50"
                                                                style="font-family: Arial, Helvetica, sans-serif;">GATEWAY:
                                                            </label>
                                                            {{ form.gateway }}
                                                        </div>
                                                    </div>                                                    
                                                </div>

                                                <!-- fila 3 -->
                                                <div class="row mt-2"> 

                                                    <div class="col-6">                                                        
                                                        <div class="form-group">
                                                            <label for="exampleInputFile">Imágen del modem</label>
                                                            <div class="input-group">
                                                              <div class="custom-file">
                                                                <input type="file" class="custom-file-input" id="exampleInputFile" name="imagen" id="id_imagen">
                                                                <label class="custom-file-label" for="exampleInputFile">Elegir archivo</label>
                                                              </div>
                                                              <div class="input-group-append">
                                                                <span class="input-group-text">Subir</span>
                                                              </div>
                                                            </div>
                                                        </div>                                                        
                                                    </div> 
                                                    
                                                    <div class="col-6">
                                                        <div class="form-group">
                                                            <label for="id_notas"
                                                                class="text-sm text-uppercase text-black-50"
                                                                style="font-family: Arial, Helvetica, sans-serif;">NOTAS:
                                                            </label>
                                                            {{ form.notas }}
                                                        </div>
                                                    </div>        
                                                                                                                                                           
                                                </div>

                                                <div class="dropdown-divider"></div>
                                                <div class="row">  
                                                    <div class="col-2"></div>   

                                                    <!-- botón guardar -->
                                                    <div class="col-4">
                                                        <button type="submit" class="btn btn-success btn-block"><i
                                                            class="fa fa-save"></i><span> Guardar</span>
                                                        </button>
                                                    </div>
                                                    <!-- /. boton guardar -->

                                                    <!-- botón cancelar -->
                                                    <div class="col-4">
                                                        <a href="{% url 'app_equipos:modems_list' %}"
                                                            class="btn btn-info btn-block"><i class="fas fa-window-close">                                                                
                                                            </i><span> Cancelar</span>
                                                        </a>
                                                    </div> 
                                                    <!-- /. boton cancelar -->

                                                    <div class="col-2"></div>                                                         
                                                </div>

                                            </div>
                                            <!-- /.card-body -->
                                        </div>
                                        <!-- /.card-header -->
                                    </div>
                                </div>
                            </div>
                        <!-- /.card -->
                        </form>
                        <!-- ./form -->
                    </div>
                </div>
            </div>
        </div>
</div>
</section>
<!-- /.container-fluid -->
</div>
<!-- /.content-header -->
{% endblock content %}


{% block js_page %}
<!-- bs-custom-file-input -->
<script src="{% static 'plugins/bs-custom-file-input/bs-custom-file-input.min.js' %}"></script>

<script>
  //Initialize Select2 Elements
  // carga del DOM
  $(function () {
    //Initialize Select2 Elements
    $('#id_cliente').select2()

    //Initialize Select2 Elements
    $('#id_cliente').select2({
      theme: 'bootstrap4'
    })  
    
    // pone el nombre del archivo a subir
    $(function () {
        bsCustomFileInput.init();
    });

  });
</script>
{% endblock js_page %}